Subject: $CCLIENTDIR and ../c-client in 4.33

From: Matthew C Weigel <[email-masked]>
Date: Fri, 14 Sep 2001 19:35:12 -0400

I'm trying to set up a cleanly automated build of c-client and PINE
from different source directories, and I came across the following bug.

$CCLIENTDIR (as used in pine4.33/pine/makefile.*) is not used to
determine the location of header files in #include statements in the
source files themselves.  So, for instance, make requires that
$CCLIENTDIR/smtp.h exist to build send.o, but send.c depends upon
"../c-client/smtp.h" in order to actually compile.

In addition to that problem, I must confess some confusion about some
issues in building pine at all - build doesn't pass a target to make in
the pine subdirectory, the makefiles don't have an 'all' target, and
$OFILES depends upon $HFILES but doesn't appear to have any associated
actions.
-- 
 Matthew Weigel
 Research Systems Programmer
 [email-masked]
-- 
-----------------------------------------------------------------
 For information about this mailing list, and its archives, see: 
 http://www.washington.edu/pine/pine-info/
-----------------------------------------------------------------